多个Python版本兼容处理方法

多个python版本

Python目前有两个主版本并存,这很让人苦恼。虽然Python 3有许多优于Python 2的特性,但是Python 2的生态系统更为完善,支持的包更多。因为生态系统内部的依赖关系,许多软件包的运行说明会直接指定“仅适用于Python 2.7版本”。

那么如何在不同的应用场景下切换这两种Python版本?安装虚拟环境。

虚拟

在虚拟环境里,各种软件包的版本,都由你来指定。它们和系统默认Python环境是相互隔离的,因此互不干扰。

在终端环境,使用Anaconda的环境创建命令,例如建立python3.5

Jupyter Notebook

运行Jupyter Notebook之后,发现只有默认的Python 2,python35虚拟环境找不到。

解决方法

回到终端下面,用C-c退出目前正在运行的Jupyter Notebook Server,然后执行

然后重启Jupyter Notebook Server

关于如何在windows和ubuntu配置和安装jupyter notebook请关注faiculty的后续文章。

  • 发表于:
  • 原文链接:http://kuaibao.qq.com/s/20180123G0LKC000?refer=cp_1026

同媒体快讯

扫码关注云+社区